# Copyright (c) 2021 - present / Neuralmagic, Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import os


__all__ = ["get_base_url"]
_DEFAULT_BASE_URL = "https://api.neuralmagic.com"


def get_base_url() -> str:
    """
    :return The base url for sparsify backend server
    """
    return os.getenv("SPARSIFY_BACKEND_URL", default=_DEFAULT_BASE_URL)
